﻿/* HERO */
.news-hero {
    padding: 40px 0 0px 0;
    position: relative;
}

    .news-hero h2 {
        color: #d4af37;
    }

/* FEATURED */
.news-featured {
    display: grid;
    grid-template-columns: 2fr 1fr;
    gap: 20px;
    padding-top: 40px;
    padding-bottom: 40px;
}

.featured-main {
    position: relative;
}

    .featured-main img {
        width: 100%;
        height: 350px;
        object-fit: cover;
    }

.featured-info {
    position: absolute;
    bottom: 20px;
    left: 20px;
    color: #2C3539;
}

.side-item {
    display: flex;
    gap: 10px;
    margin-bottom: 15px;
}

    .side-item img {
        width: 100px;
        height: 70px;
        object-fit: cover;
    }

/* FILTER */
.news-filter {
    margin: 40px 0;
    text-align: center;
}

    .news-filter button {
        background: #2C3539;
        color: #fff;
        border: none;
        padding: 10px 15px;
        margin: 5px;
    }

    .news-filter .active {
        background: #d4af37;
        color: #000;
    }

/* GRID */
.news-list {
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 20px;
    padding-top: 40px;
    padding-bottom: 40px;
}

.news-card {
    background: #2C3539;
    border-radius: 12px;
    overflow: hidden;
}

.news-thumb img {
    width: 100%;
    height: 200px;
    object-fit: cover;
}

.news-body {
    padding: 15px;
    color: #fff;
}

    /* TEXT 2 dòng */
    .news-body a {
        display: -webkit-box;
        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
    }

/* CTA */
.news-cta {
    text-align: center;
    padding: 60px 0;
}

/* RESPONSIVE */
@media(max-width:768px) {
    .news-featured {
        grid-template-columns: 1fr;
    }

    .news-list {
        grid-template-columns: 1fr;
    }
}
